﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using Infragistics.Web.UI.ListControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Data"] == null)
        {
            Session["Data"] = GetDataSource();
        }

        this.WebDataGrid1.DataSource = (DataTable)Session["Data"];
        this.WebDataGrid1.DataBind();
    }
    public DataTable GetDataSource()
    {
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.AutoIncrement = true;
        column.AutoIncrementStep = 1;
        column.AutoIncrementSeed = 1;
        column.ReadOnly = true;
        column.Unique = true;

        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item0";
        column.AutoIncrement = false;
        column.Caption = "Item0";
        table.Columns.Add(column);

        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;


        for (int i = 0; i < 5; i++)
        {
            row = table.NewRow();
            row["Item0"] = "Item0";
            table.Rows.Add(row);
        }

        return table;
    }
}